unable to load one or more of the requested types

Apr 14, 2010 at 1:40 PM

I'm trying to install Biztalk software factory 1.7. Getting below errror.

unable to get installer type in the c:\program files\microsoft\visual studio 8\common7\ide\publicassemblies\biztalk software factoryinstaller.dll assembly. -->unable to load one or more of the requested types. Retrieve the loaderexceptions property for more information.

Note: I'm running this msi as an Administrator.

Thanks,
Raja kumaravel

Coordinator
Apr 14, 2010 at 2:25 PM

Hi Raja,

Thanks for using the BizTalk Software Factory!

Did you try a clean install of do you have v1.6 already installed?

Kind regards,

Jean-Paul

Apr 16, 2010 at 8:13 AM

I don't have any previous versions in that box. I tried the fresh version 1.7

Coordinator
Apr 18, 2010 at 8:51 AM

Did you install the prerequisites GAT and GAX?

It looks like it is missing an dependency in the installer, which is referring to assemblies that should be installed with the GAT/GAX install.

Kind regards,

Jean-Paul

Apr 20, 2010 at 11:13 AM

Thank you Jean-Paul. As per your suggestion, installed the GAX that fix my issue.